package com.ruixuan.isc.entity;


import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;

import org.springframework.data.annotation.Transient;

import java.util.Date;


/**
 * 【请填写功能名称】对象 kuaishou_item_collect_samples
 *
 * @author ruoyi
 * @date 2023-02-08
 */
public class KuaishouItemCollectSamples extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商品ID
     */
    @Excel(name = "商品ID")
    private Long itemId;
    private Integer mediaId;

    /**
     * 商品标题
     */
    @Excel(name = "商品标题")
    private String itemTitle;

    /**
     * 商品单价-分
     */
    @Excel(name = "商品单价-分")
    private Long itemPrice;

    /**
     * 商品图片链接
     */
    @Excel(name = "商品图片链接")
    private String itemImgUrl;

    /**
     * 商品备注
     */
    @Excel(name = "商品备注")
    private String itemDesc;

    /**
     * 佣金比例
     */
    @Excel(name = "佣金比例")
    private Long commissionRate;

    /**
     * 服务费
     */
    @Excel(name = "服务费")
    private Long regimentalPromotion;

    /**
     * 领样数量
     */
    @Excel(name = "领样数量")
    private Integer sampleCount;

    /**
     * 领样规则
     */
    @Excel(name = "领样规则")
    private String sampleRequirement;

    /**
     * 商品创建人ID
     */
    @Excel(name = "商品创建人ID")
    private Long itemCreateId;

    /**
     * 商品创建人姓名
     */
    @Excel(name = "商品创建人姓名")
    private String itemCreateName;

    /**
     * 领样人ID
     */
    @Excel(name = "领样人ID")
    private Long collectSampleId;

    /**
     * 领样人姓名
     */
    @Excel(name = "领样人姓名")
    private String collectSampleName;

    /**
     * 手卡信息
     */
    @Excel(name = "手卡信息")
    private String partnerRecommendText;

    /**
     * 达人id
     */
    @Excel(name = "达人id")
    private String promoterId;

    /**
     * 达人昵称
     */
    @Excel(name = "达人昵称")
    private String promoterNickName;

    /**
     * 达人手机号
     */
    @Excel(name = "达人手机号")
    private String promoterPhone;

    /**
     * 达人收获地址
     */
    @Excel(name = "达人收获地址")
    private String promoterAddress;
    private String promoterUrl;
    private String consignee;

    /**
     * 快递单号
     */
    @Excel(name = "快递单号")
    private String courierNumber;
    private Date courierNumberTime;

    /**
     * 作业地址
     */
    @Excel(name = "作业地址")
    private String taskFileUrl;

    /**
     * 1-待审核 2-领样申请审核拒绝 3-领样审核通过-待录入订单号 4-已发货 5-已签收待上传作业 6-作业上传成功待招商审核 7-审核通过
     */
    @Excel(name = "1-待审核 2-领样申请审核拒绝 3-领样审核通过-待录入订单号 4-已发货 5-已签收待上传作业 6-作业上传成功待招商审核 7-审核通过")
    private Integer collectSampleStatus;

    /**
     * 状态备注
     */
    @Excel(name = "状态备注")
    private String collectSampleDesc;


    @Transient
    private String companyCode;
    @Transient
    private Long userId;
    @Transient
    private String userName;
    @Transient
    private Long validAmount;
    @Transient
    private Long validOrderNum;
    @Transient
    private Long promoterOrderNum;
    private Integer sampleVoucherStatus;
    private String sampleVoucher;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Integer getMediaId() {
        return mediaId;
    }

    public void setMediaId(Integer mediaId) {
        this.mediaId = mediaId;
    }

    public String getItemTitle() {
        return itemTitle;
    }

    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    public Long getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Long itemPrice) {
        this.itemPrice = itemPrice;
    }

    public String getItemImgUrl() {
        return itemImgUrl;
    }

    public void setItemImgUrl(String itemImgUrl) {
        this.itemImgUrl = itemImgUrl;
    }

    public String getItemDesc() {
        return itemDesc;
    }

    public void setItemDesc(String itemDesc) {
        this.itemDesc = itemDesc;
    }

    public Long getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Long commissionRate) {
        this.commissionRate = commissionRate;
    }

    public Long getRegimentalPromotion() {
        return regimentalPromotion;
    }

    public void setRegimentalPromotion(Long regimentalPromotion) {
        this.regimentalPromotion = regimentalPromotion;
    }

    public Integer getSampleCount() {
        return sampleCount;
    }

    public void setSampleCount(Integer sampleCount) {
        this.sampleCount = sampleCount;
    }

    public String getSampleRequirement() {
        return sampleRequirement;
    }

    public void setSampleRequirement(String sampleRequirement) {
        this.sampleRequirement = sampleRequirement;
    }

    public Long getItemCreateId() {
        return itemCreateId;
    }

    public void setItemCreateId(Long itemCreateId) {
        this.itemCreateId = itemCreateId;
    }

    public String getItemCreateName() {
        return itemCreateName;
    }

    public void setItemCreateName(String itemCreateName) {
        this.itemCreateName = itemCreateName;
    }

    public Long getCollectSampleId() {
        return collectSampleId;
    }

    public void setCollectSampleId(Long collectSampleId) {
        this.collectSampleId = collectSampleId;
    }

    public String getCollectSampleName() {
        return collectSampleName;
    }

    public void setCollectSampleName(String collectSampleName) {
        this.collectSampleName = collectSampleName;
    }

    public String getPartnerRecommendText() {
        return partnerRecommendText;
    }

    public void setPartnerRecommendText(String partnerRecommendText) {
        this.partnerRecommendText = partnerRecommendText;
    }

    public String getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    public String getPromoterNickName() {
        return promoterNickName;
    }

    public void setPromoterNickName(String promoterNickName) {
        this.promoterNickName = promoterNickName;
    }

    public String getPromoterPhone() {
        return promoterPhone;
    }

    public void setPromoterPhone(String promoterPhone) {
        this.promoterPhone = promoterPhone;
    }

    public String getPromoterAddress() {
        return promoterAddress;
    }

    public void setPromoterAddress(String promoterAddress) {
        this.promoterAddress = promoterAddress;
    }

    public String getPromoterUrl() {
        return promoterUrl;
    }

    public void setPromoterUrl(String promoterUrl) {
        this.promoterUrl = promoterUrl;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getCourierNumber() {
        return courierNumber;
    }

    public void setCourierNumber(String courierNumber) {
        this.courierNumber = courierNumber;
    }

    public Date getCourierNumberTime() {
        return courierNumberTime;
    }

    public void setCourierNumberTime(Date courierNumberTime) {
        this.courierNumberTime = courierNumberTime;
    }

    public String getTaskFileUrl() {
        return taskFileUrl;
    }

    public void setTaskFileUrl(String taskFileUrl) {
        this.taskFileUrl = taskFileUrl;
    }

    public Integer getCollectSampleStatus() {
        return collectSampleStatus;
    }

    public void setCollectSampleStatus(Integer collectSampleStatus) {
        this.collectSampleStatus = collectSampleStatus;
    }

    public String getCollectSampleDesc() {
        return collectSampleDesc;
    }

    public void setCollectSampleDesc(String collectSampleDesc) {
        this.collectSampleDesc = collectSampleDesc;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getValidAmount() {
        return validAmount;
    }

    public void setValidAmount(Long validAmount) {
        this.validAmount = validAmount;
    }

    public Long getValidOrderNum() {
        return validOrderNum;
    }

    public void setValidOrderNum(Long validOrderNum) {
        this.validOrderNum = validOrderNum;
    }

    public Long getPromoterOrderNum() {
        return promoterOrderNum;
    }

    public void setPromoterOrderNum(Long promoterOrderNum) {
        this.promoterOrderNum = promoterOrderNum;
    }

    public Integer getSampleVoucherStatus() {
        return sampleVoucherStatus;
    }

    public void setSampleVoucherStatus(Integer sampleVoucherStatus) {
        this.sampleVoucherStatus = sampleVoucherStatus;
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher;
    }

    @Override
    public String toString() {
        return "KuaishouItemCollectSamples{" +
                "id=" + id +
                ", itemId=" + itemId +
                ", mediaId=" + mediaId +
                ", itemTitle='" + itemTitle + '\'' +
                ", itemPrice=" + itemPrice +
                ", itemImgUrl='" + itemImgUrl + '\'' +
                ", itemDesc='" + itemDesc + '\'' +
                ", commissionRate=" + commissionRate +
                ", regimentalPromotion=" + regimentalPromotion +
                ", sampleCount=" + sampleCount +
                ", sampleRequirement='" + sampleRequirement + '\'' +
                ", itemCreateId=" + itemCreateId +
                ", itemCreateName='" + itemCreateName + '\'' +
                ", collectSampleId=" + collectSampleId +
                ", collectSampleName='" + collectSampleName + '\'' +
                ", partnerRecommendText='" + partnerRecommendText + '\'' +
                ", promoterId='" + promoterId + '\'' +
                ", promoterNickName='" + promoterNickName + '\'' +
                ", promoterPhone='" + promoterPhone + '\'' +
                ", promoterAddress='" + promoterAddress + '\'' +
                ", promoterUrl='" + promoterUrl + '\'' +
                ", consignee='" + consignee + '\'' +
                ", courierNumber='" + courierNumber + '\'' +
                ", courierNumberTime=" + courierNumberTime +
                ", taskFileUrl='" + taskFileUrl + '\'' +
                ", collectSampleStatus=" + collectSampleStatus +
                ", collectSampleDesc='" + collectSampleDesc + '\'' +
                ", companyCode='" + companyCode + '\'' +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", validAmount=" + validAmount +
                ", validOrderNum=" + validOrderNum +
                ", promoterOrderNum=" + promoterOrderNum +
                ", sampleVoucherStatus=" + sampleVoucherStatus +
                ", sampleVoucher='" + sampleVoucher + '\'' +
                '}';
    }
}
